0

I'm trying to build the latest version of Emacs from source, but I seem to be running into an issue. The binary itself works fine, but when it comes to building the docs, the make process runs into this issue:

make -C doc/lispref pdf
make[1]: Entering directory '/home/drbluefall/.cache/pikaur/build/emacs-lucid-git/src/emacs/doc/lispref'
  GEN      elisp.pdf
/usr/bin/texi2dvi: TeX neither supports -recorder nor outputs \openout lines in its log file
make[1]: *** [Makefile:161: elisp.pdf] Error 1
make[1]: Leaving directory '/home/drbluefall/.cache/pikaur/build/emacs-lucid-git/src/emacs/doc/lispref'
make: *** [Makefile:976: lispref-pdf] Error 2

I'm not entirely sure what's up here, since I have the needed dependencies, according to Emacs's PKGBUILD.

1
  • I recommend M-x report-emacs-bug
    – Stefan
    May 8 '20 at 13:20
0

A web search suggests your TeX installation may be incomplete.

Eg https://lists.gnu.org/r/bug-texinfo/2016-10/msg00031.html

1
  • This is essentially a link-only answer. Please summarize here the relevant info at that link.
    – Drew
    May 8 '20 at 20:21
0

I just tested it with sources emacs-28.0.50 with some minor TeX warnings like underfull \hbox.

The result: Output written on elisp.pdf (1332 pages, 4682046 bytes). Transcript written on elisp.log.

Your Makefile seem to refer to texi2dvi, but texi2pf would be required.

which texi2pdf /usr/bin/texi2pdf

Could you please provide the Makefile in doc/lispref

-Dieter

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.